<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>com.pk.game_pk_paodekuai</groupId>
  <artifactId>game_pk_paodekuai</artifactId>
  <version>1.0.0</version>
  <packaging>jar</packaging>

  <name>game_pk_paodekuai</name>
  <url>http://maven.apache.org</url>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>

  <dependencies>
		<!--依赖 game_common -->
	  <dependency>
		  <groupId>junit</groupId>
		  <artifactId>junit</artifactId>
		  <version>3.8.1</version>
		  <scope>test</scope>
	  </dependency>

	  <!--依赖 game_common -->
	  <dependency>
		  <groupId>com.game</groupId>
		  <artifactId>game_common</artifactId>
		  <version>1.0.0</version>
	  </dependency>

	  <!--依赖 data_cache -->
	  <dependency>
		  <groupId>com.data</groupId>
		  <artifactId>data_cache</artifactId>
		  <version>1.0.1</version>
	  </dependency>

	  <!--依赖 taurus-core -->
	  <dependency>
		  <groupId>com.taurus</groupId>
		  <artifactId>taurus-core</artifactId>
		  <version>1.0.1</version>
	  </dependency>

	  <!--依赖 taurus-permanent -->
	  <dependency>
		  <groupId>com.taurus</groupId>
		  <artifactId>taurus-permanent</artifactId>
		  <version>1.0.1</version>
	  </dependency>

	  <!-- 需要用redis时导入 -->
	  <dependency>
		  <groupId>redis.clients</groupId>
		  <artifactId>jedis</artifactId>
		  <version>2.9.0</version>
	  </dependency>

	  <!-- https://mvnrepository.com/artifact/jdom/jdom -->
	  <dependency>
		  <groupId>jdom</groupId>
		  <artifactId>jdom</artifactId>
		  <version>1.0</version>
	  </dependency>

	  <!-- https://mvnrepository.com/artifact/log4j/log4j -->
	  <dependency>
		  <groupId>log4j</groupId>
		  <artifactId>log4j</artifactId>
		  <version>1.2.17</version>
	  </dependency>
	</dependencies>
	
	<build>
		<finalName>game_paodekuai_puke</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.6.1</version>
				<configuration>
					<!-- <compilerArgument>-parameters</compilerArgument> -->
					<source>1.8</source>
					<target>1.8</target>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>

		</plugins>
	</build>
	
</project>
